{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Aquarium where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.CivicStructure

-- | Aquarium.
--
--   [@id@] Aquarium
--
--   [@label@] Aquarium
--
--   [@comment@] Aquarium.
--
--   [@ancestors@] @'Thing','Place','CivicStructure'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'CivicStructure'@
--
--   [@url@] <http://schema.org/Aquarium>
data Aquarium = Aquarium { openingHours :: OpeningHours
                         , additionalProperty :: AdditionalProperty
                         , address :: Address
                         , aggregateRating :: AggregateRating
                         , branchCode :: BranchCode
                         , containedInPlace :: ContainedInPlace
                         , containsPlace :: ContainsPlace
                         , event :: Event
                         , faxNumber :: FaxNumber
                         , geo :: Geo
                         , globalLocationNumber :: GlobalLocationNumber
                         , hasMap :: HasMap
                         , isicV4 :: IsicV4
                         , logo :: Logo
                         , openingHoursSpecification :: OpeningHoursSpecification
                         , photo :: Photo
                         , review :: Review
                         , telephone :: Telephone
                         , additionalType :: AdditionalType
                         , alternateName :: AlternateName
                         , description :: Description
                         , image :: Image
                         , mainEntityOfPage :: MainEntityOfPage
                         , name :: Name
                         , potentialAction :: PotentialAction
                         , sameAs :: SameAs
                         , url :: Url
                         }
                deriving (Show, Read, Eq, Typeable)

instance MetaData Aquarium where
  _label         = const "Aquarium"
  _comment_plain = const "Aquarium."
  _comment       = const "Aquarium."
  _url           = const "http://schema.org/Aquarium"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.CivicStructure.CivicStructure)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.CivicStructure.CivicStructure)]