{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.BusStop where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.CivicStructure

-- | A bus stop.
--
--   [@id@] BusStop
--
--   [@label@] Bus Stop
--
--   [@comment@] A bus stop.
--
--   [@ancestors@] @'Thing','Place','CivicStructure'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'CivicStructure'@
--
--   [@url@] <http://schema.org/BusStop>
data BusStop = BusStop { openingHours :: OpeningHours
                       , additionalProperty :: AdditionalProperty
                       , address :: Address
                       , aggregateRating :: AggregateRating
                       , branchCode :: BranchCode
                       , containedInPlace :: ContainedInPlace
                       , containsPlace :: ContainsPlace
                       , event :: Event
                       , faxNumber :: FaxNumber
                       , geo :: Geo
                       , globalLocationNumber :: GlobalLocationNumber
                       , hasMap :: HasMap
                       , isicV4 :: IsicV4
                       , logo :: Logo
                       , openingHoursSpecification :: OpeningHoursSpecification
                       , photo :: Photo
                       , review :: Review
                       , telephone :: Telephone
                       , additionalType :: AdditionalType
                       , alternateName :: AlternateName
                       , description :: Description
                       , image :: Image
                       , mainEntityOfPage :: MainEntityOfPage
                       , name :: Name
                       , potentialAction :: PotentialAction
                       , sameAs :: SameAs
                       , url :: Url
                       }
               deriving (Show, Read, Eq, Typeable)

instance MetaData BusStop where
  _label         = const "Bus Stop"
  _comment_plain = const "A bus stop."
  _comment       = const "A bus stop."
  _url           = const "http://schema.org/BusStop"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.CivicStructure.CivicStructure)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.CivicStructure.CivicStructure)]