{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.CreativeWork where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Article
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Blog
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Book
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Clip
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Code
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Comment
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.CreativeWorkSeason
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.CreativeWorkSeries
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.DataCatalog
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Dataset
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Diet
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.EmailMessage
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Episode
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ExercisePlan
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Game
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Map
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MediaObject
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Movie
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MusicComposition
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MusicPlaylist
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MusicRecording
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Painting
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Photograph
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PublicationIssue
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PublicationVolume
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Question
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Recipe
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Review
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Sculpture
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Season
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Series
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.SoftwareApplication
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.SoftwareSourceCode
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.TVSeason
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.TVSeries
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.VisualArtwork
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.WebPage
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.WebPageElement
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.WebSite

-- | The most generic kind of creative work, including books, movies, photographs, software programs, etc.
--
--   [@id@] CreativeWork
--
--   [@label@] Creative Work
--
--   [@comment@] The most generic kind of creative work, including books, movies, photographs, software programs, etc.
--
--   [@ancestors@] @'Thing'@
--
--   [@subtypes@] @'Article','Blog','Book','Clip','Code','Comment','CreativeWorkSeason','CreativeWorkSeries','DataCatalog','Dataset','Diet','EmailMessage','Episode','ExercisePlan','Game','Map','MediaObject','Movie','MusicComposition','MusicPlaylist','MusicRecording','Painting','Photograph','PublicationIssue','PublicationVolume','Question','Recipe','Review','Sculpture','Season','Series','SoftwareApplication','SoftwareSourceCode','TVSeason','TVSeries','VisualArtwork','WebPage','WebPageElement','WebSite'@
--
--   [@supertypes@] @'Thing'@
--
--   [@url@] <http://schema.org/CreativeWork>
data CreativeWork = CreativeWork { about :: About
                                 , accessibilityAPI :: AccessibilityAPI
                                 , accessibilityControl :: AccessibilityControl
                                 , accessibilityFeature :: AccessibilityFeature
                                 , accessibilityHazard :: AccessibilityHazard
                                 , accountablePerson :: AccountablePerson
                                 , aggregateRating :: AggregateRating
                                 , alternativeHeadline :: AlternativeHeadline
                                 , associatedMedia :: AssociatedMedia
                                 , audience :: Audience
                                 , audio :: Audio
                                 , author :: Author
                                 , award :: Award
                                 , character :: Character
                                 , citation :: Citation
                                 , comment :: Comment
                                 , commentCount :: CommentCount
                                 , contentLocation :: ContentLocation
                                 , contentRating :: ContentRating
                                 , contributor :: Contributor
                                 , copyrightHolder :: CopyrightHolder
                                 , copyrightYear :: CopyrightYear
                                 , creator :: Creator
                                 , dateCreated :: DateCreated
                                 , dateModified :: DateModified
                                 , datePublished :: DatePublished
                                 , discussionUrl :: DiscussionUrl
                                 , editor :: Editor
                                 , educationalAlignment :: EducationalAlignment
                                 , educationalUse :: EducationalUse
                                 , encoding :: Encoding
                                 , exampleOfWork :: ExampleOfWork
                                 , fileFormat :: FileFormat
                                 , genre :: Genre
                                 , hasPart :: HasPart
                                 , headline :: Headline
                                 , inLanguage :: InLanguage
                                 , interactionStatistic :: InteractionStatistic
                                 , interactivityType :: InteractivityType
                                 , isBasedOnUrl :: IsBasedOnUrl
                                 , isFamilyFriendly :: IsFamilyFriendly
                                 , isPartOf :: IsPartOf
                                 , keywords :: Keywords
                                 , learningResourceType :: LearningResourceType
                                 , license :: License
                                 , locationCreated :: LocationCreated
                                 , mainEntity :: MainEntity
                                 , mentions :: Mentions
                                 , offers :: Offers
                                 , position :: Position
                                 , producer :: Producer
                                 , provider :: Provider
                                 , publication :: Publication
                                 , publisher :: Publisher
                                 , publishingPrinciples :: PublishingPrinciples
                                 , recordedAt :: RecordedAt
                                 , releasedEvent :: ReleasedEvent
                                 , review :: Review
                                 , schemaVersion :: SchemaVersion
                                 , sourceOrganization :: SourceOrganization
                                 , text :: Text
                                 , thumbnailUrl :: ThumbnailUrl
                                 , timeRequired :: TimeRequired
                                 , translator :: Translator
                                 , typicalAgeRange :: TypicalAgeRange
                                 , version :: Version
                                 , video :: Video
                                 , workExample :: WorkExample
                                 , additionalType :: AdditionalType
                                 , alternateName :: AlternateName
                                 , description :: Description
                                 , image :: Image
                                 , mainEntityOfPage :: MainEntityOfPage
                                 , name :: Name
                                 , potentialAction :: PotentialAction
                                 , sameAs :: SameAs
                                 , url :: Url
                                 }
                    deriving (Show, Read, Eq, Typeable)

instance MetaData CreativeWork where
  _label         = const "Creative Work"
  _comment_plain = const "The most generic kind of creative work, including books, movies, photographs, software programs, etc."
  _comment       = const "The most generic kind of creative work, including books, movies, photographs, software programs, etc."
  _url           = const "http://schema.org/CreativeWork"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)]
  _subtypes      = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Article.Article)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Blog.Blog)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Book.Book)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Clip.Clip)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Code.Code)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Comment.Comment)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.CreativeWorkSeason.CreativeWorkSeason)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.CreativeWorkSeries.CreativeWorkSeries)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.DataCatalog.DataCatalog)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Dataset.Dataset)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Diet.Diet)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.EmailMessage.EmailMessage)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Episode.Episode)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ExercisePlan.ExercisePlan)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Game.Game)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Map.Map)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MediaObject.MediaObject)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Movie.Movie)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MusicComposition.MusicComposition)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MusicPlaylist.MusicPlaylist)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MusicRecording.MusicRecording)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Painting.Painting)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Photograph.Photograph)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PublicationIssue.PublicationIssue)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PublicationVolume.PublicationVolume)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Question.Question)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Recipe.Recipe)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Review.Review)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Sculpture.Sculpture)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Season.Season)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Series.Series)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.SoftwareApplication.SoftwareApplication)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.SoftwareSourceCode.SoftwareSourceCode)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.TVSeason.TVSeason)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.TVSeries.TVSeries)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.VisualArtwork.VisualArtwork)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.WebPage.WebPage)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.WebPageElement.WebPageElement)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.WebSite.WebSite)]
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)]