{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.FlightReservation where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Reservation

-- | A reservation for air travel.
--
--   [@id@] FlightReservation
--
--   [@label@] Flight Reservation
--
--   [@comment@] A reservation for air travel.
--
--   [@ancestors@] @'Thing','Intangible','Reservation'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Reservation'@
--
--   [@url@] <http://schema.org/FlightReservation>
data FlightReservation = FlightReservation { boardingGroup :: BoardingGroup
                                           , passengerPriorityStatus :: PassengerPriorityStatus
                                           , passengerSequenceNumber :: PassengerSequenceNumber
                                           , securityScreening :: SecurityScreening
                                           , bookingTime :: BookingTime
                                           , broker :: Broker
                                           , modifiedTime :: ModifiedTime
                                           , priceCurrency :: PriceCurrency
                                           , programMembershipUsed :: ProgramMembershipUsed
                                           , provider :: Provider
                                           , reservationFor :: ReservationFor
                                           , reservationId :: ReservationId
                                           , reservationStatus :: ReservationStatus
                                           , reservedTicket :: ReservedTicket
                                           , totalPrice :: TotalPrice
                                           , underName :: UnderName
                                           , additionalType :: AdditionalType
                                           , alternateName :: AlternateName
                                           , description :: Description
                                           , image :: Image
                                           , mainEntityOfPage :: MainEntityOfPage
                                           , name :: Name
                                           , potentialAction :: PotentialAction
                                           , sameAs :: SameAs
                                           , url :: Url
                                           }
                         deriving (Show, Read, Eq, Typeable)

instance MetaData FlightReservation where
  _label         = const "Flight Reservation"
  _comment_plain = const "A reservation for air travel."
  _comment       = const "A reservation for air travel."
  _url           = const "http://schema.org/FlightReservation"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Reservation.Reservation)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Reservation.Reservation)]