{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.HomeGoodsStore where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Organization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LocalBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Store
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.HomeGoodsStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place

-- | A home goods store.
--
--   [@id@] HomeGoodsStore
--
--   [@label@] Home Goods Store
--
--   [@comment@] A home goods store.
--
--   [@ancestors@] @'Thing','Organization','LocalBusiness','Store','HomeGoodsStore','Thing','Place','LocalBusiness','Store'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Store'@
--
--   [@url@] <http://schema.org/HomeGoodsStore>
data HomeGoodsStore = HomeGoodsStore { branchCode :: BranchCode
                                     , branchCode :: BranchCode
                                     , currenciesAccepted :: CurrenciesAccepted
                                     , openingHours :: OpeningHours
                                     , paymentAccepted :: PaymentAccepted
                                     , priceRange :: PriceRange
                                     , address :: Address
                                     , aggregateRating :: AggregateRating
                                     , alumni :: Alumni
                                     , areaServed :: AreaServed
                                     , award :: Award
                                     , brand :: Brand
                                     , contactPoint :: ContactPoint
                                     , department :: Department
                                     , dissolutionDate :: DissolutionDate
                                     , duns :: Duns
                                     , email :: Email
                                     , employee :: Employee
                                     , event :: Event
                                     , faxNumber :: FaxNumber
                                     , founder :: Founder
                                     , foundingDate :: FoundingDate
                                     , foundingLocation :: FoundingLocation
                                     , globalLocationNumber :: GlobalLocationNumber
                                     , hasOfferCatalog :: HasOfferCatalog
                                     , hasPOS :: HasPOS
                                     , isicV4 :: IsicV4
                                     , legalName :: LegalName
                                     , location :: Location
                                     , logo :: Logo
                                     , makesOffer :: MakesOffer
                                     , member :: Member
                                     , memberOf :: MemberOf
                                     , naics :: Naics
                                     , numberOfEmployees :: NumberOfEmployees
                                     , owns :: Owns
                                     , parentOrganization :: ParentOrganization
                                     , review :: Review
                                     , seeks :: Seeks
                                     , subOrganization :: SubOrganization
                                     , taxID :: TaxID
                                     , telephone :: Telephone
                                     , vatID :: VatID
                                     , additionalProperty :: AdditionalProperty
                                     , address :: Address
                                     , aggregateRating :: AggregateRating
                                     , branchCode :: BranchCode
                                     , containedInPlace :: ContainedInPlace
                                     , containsPlace :: ContainsPlace
                                     , event :: Event
                                     , faxNumber :: FaxNumber
                                     , geo :: Geo
                                     , globalLocationNumber :: GlobalLocationNumber
                                     , hasMap :: HasMap
                                     , isicV4 :: IsicV4
                                     , logo :: Logo
                                     , openingHoursSpecification :: OpeningHoursSpecification
                                     , photo :: Photo
                                     , review :: Review
                                     , telephone :: Telephone
                                     , additionalType :: AdditionalType
                                     , alternateName :: AlternateName
                                     , description :: Description
                                     , image :: Image
                                     , mainEntityOfPage :: MainEntityOfPage
                                     , name :: Name
                                     , potentialAction :: PotentialAction
                                     , sameAs :: SameAs
                                     , url :: Url
                                     }
                      deriving (Show, Read, Eq, Typeable)

instance MetaData HomeGoodsStore where
  _label         = const "Home Goods Store"
  _comment_plain = const "A home goods store."
  _comment       = const "A home goods store."
  _url           = const "http://schema.org/HomeGoodsStore"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Organization.Organization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Store.Store)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.HomeGoodsStore.HomeGoodsStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Store.Store)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Store.Store)]