{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.LegalService where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Organization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LocalBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LegalService
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Attorney
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Notary

-- | A LegalService is a business that provides legally-oriented services, advice and representation, e.g. law firms.                As a LocalBusiness it can be        described as a provider of one or more        Service(s).
--
--   [@id@] LegalService
--
--   [@label@] Legal Service
--
--   [@comment@] A LegalService is a business that provides legally-oriented services, advice and representation, e.g. law firms.        <br/><br/>        As a <a href=\"http://schema.org/LocalBusiness\">LocalBusiness</a> it can be        described as a <a href=\"http://schema.org/provider\">provider</a> of one or more        <a href=\"http://schema.org/Service\">Service(s)</a>.      
--
--   [@ancestors@] @'Thing','Organization','LocalBusiness','LegalService','Thing','Place','LocalBusiness'@
--
--   [@subtypes@] @'Attorney','Notary'@
--
--   [@supertypes@] @'LocalBusiness'@
--
--   [@url@] <http://schema.org/LegalService>
data LegalService = LegalService { branchCode :: BranchCode
                                 , currenciesAccepted :: CurrenciesAccepted
                                 , openingHours :: OpeningHours
                                 , paymentAccepted :: PaymentAccepted
                                 , priceRange :: PriceRange
                                 , additionalProperty :: AdditionalProperty
                                 , address :: Address
                                 , aggregateRating :: AggregateRating
                                 , branchCode :: BranchCode
                                 , containedInPlace :: ContainedInPlace
                                 , containsPlace :: ContainsPlace
                                 , event :: Event
                                 , faxNumber :: FaxNumber
                                 , geo :: Geo
                                 , globalLocationNumber :: GlobalLocationNumber
                                 , hasMap :: HasMap
                                 , isicV4 :: IsicV4
                                 , logo :: Logo
                                 , openingHoursSpecification :: OpeningHoursSpecification
                                 , photo :: Photo
                                 , review :: Review
                                 , telephone :: Telephone
                                 , address :: Address
                                 , aggregateRating :: AggregateRating
                                 , alumni :: Alumni
                                 , areaServed :: AreaServed
                                 , award :: Award
                                 , brand :: Brand
                                 , contactPoint :: ContactPoint
                                 , department :: Department
                                 , dissolutionDate :: DissolutionDate
                                 , duns :: Duns
                                 , email :: Email
                                 , employee :: Employee
                                 , event :: Event
                                 , faxNumber :: FaxNumber
                                 , founder :: Founder
                                 , foundingDate :: FoundingDate
                                 , foundingLocation :: FoundingLocation
                                 , globalLocationNumber :: GlobalLocationNumber
                                 , hasOfferCatalog :: HasOfferCatalog
                                 , hasPOS :: HasPOS
                                 , isicV4 :: IsicV4
                                 , legalName :: LegalName
                                 , location :: Location
                                 , logo :: Logo
                                 , makesOffer :: MakesOffer
                                 , member :: Member
                                 , memberOf :: MemberOf
                                 , naics :: Naics
                                 , numberOfEmployees :: NumberOfEmployees
                                 , owns :: Owns
                                 , parentOrganization :: ParentOrganization
                                 , review :: Review
                                 , seeks :: Seeks
                                 , subOrganization :: SubOrganization
                                 , taxID :: TaxID
                                 , telephone :: Telephone
                                 , vatID :: VatID
                                 , additionalType :: AdditionalType
                                 , alternateName :: AlternateName
                                 , description :: Description
                                 , image :: Image
                                 , mainEntityOfPage :: MainEntityOfPage
                                 , name :: Name
                                 , potentialAction :: PotentialAction
                                 , sameAs :: SameAs
                                 , url :: Url
                                 }
                    deriving (Show, Read, Eq, Typeable)

instance MetaData LegalService where
  _label         = const "Legal Service"
  _comment_plain = const "A LegalService is a business that provides legally-oriented services, advice and representation, e.g. law firms.                As a LocalBusiness it can be        described as a provider of one or more        Service(s)."
  _comment       = const "A LegalService is a business that provides legally-oriented services, advice and representation, e.g. law firms.        <br/><br/>        As a <a href=\"http://schema.org/LocalBusiness\">LocalBusiness</a> it can be        described as a <a href=\"http://schema.org/provider\">provider</a> of one or more        <a href=\"http://schema.org/Service\">Service(s)</a>.      "
  _url           = const "http://schema.org/LegalService"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Organization.Organization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LegalService.LegalService)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)]
  _subtypes      = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Attorney.Attorney)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Notary.Notary)]
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)]