{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.MedicalObservationalStudyDesign where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Intangible
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Enumeration
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalEnumeration
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalObservationalStudyDesign
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalEntity
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MedicalIntangible

-- | Design models for observational medical studies. Enumerated type.
--
--   [@id@] MedicalObservationalStudyDesign
--
--   [@label@] Medical Observational Study Design
--
--   [@comment@] Design models for observational medical studies. Enumerated type.
--
--   [@ancestors@] @'Thing','Intangible','Enumeration','MedicalEnumeration','MedicalObservationalStudyDesign','Thing','Intangible','Enumeration','MedicalObservationalStudyDesign','Thing','MedicalEntity','MedicalIntangible','MedicalEnumeration'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Enumeration','MedicalEnumeration'@
--
--   [@url@] <http://schema.org/MedicalObservationalStudyDesign>
data MedicalObservationalStudyDesign = MedicalObservationalStudyDesign { supersededBy :: SupersededBy
                                                                       , code :: Code
                                                                       , guideline :: Guideline
                                                                       , medicineSystem :: MedicineSystem
                                                                       , recognizingAuthority :: RecognizingAuthority
                                                                       , relevantSpecialty :: RelevantSpecialty
                                                                       , study :: Study
                                                                       , additionalType :: AdditionalType
                                                                       , alternateName :: AlternateName
                                                                       , description :: Description
                                                                       , image :: Image
                                                                       , mainEntityOfPage :: MainEntityOfPage
                                                                       , name :: Name
                                                                       , potentialAction :: PotentialAction
                                                                       , sameAs :: SameAs
                                                                       , url :: Url
                                                                       }
                                       deriving (Show, Read, Eq, Typeable)

instance MetaData MedicalObservationalStudyDesign where
  _label         = const "Medical Observational Study Design"
  _comment_plain = const "Design models for observational medical studies. Enumerated type."
  _comment       = const "Design models for observational medical studies. Enumerated type."
  _url           = const "http://schema.org/MedicalObservationalStudyDesign"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalEnumeration.MedicalEnumeration)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalObservationalStudyDesign.MedicalObservationalStudyDesign)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Intangible.Intangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalObservationalStudyDesign.MedicalObservationalStudyDesign)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalEntity.MedicalEntity)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalIntangible.MedicalIntangible)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalEnumeration.MedicalEnumeration)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Enumeration.Enumeration)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MedicalEnumeration.MedicalEnumeration)]