{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.ProfessionalService where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Organization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LocalBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ProfessionalService
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place

-- | Original definition: \"provider of professional services.\"                The general ProfessionalService type        for local businesses was deprecated due to confusion with Service.        For reference, the types that it included were: Dentist,        AccountingService,        Attorney,        Notary, as well as types for several kinds of        HomeAndConstructionBusiness:        Electrician,        GeneralContractor,        HousePainter,        Locksmith,        Plumber,        RoofingContractor.        LegalService was introduced as a more        inclusive supertype of Attorney.
--
--   [@id@] ProfessionalService
--
--   [@label@] Professional Service
--
--   [@comment@] Original definition: \"provider of professional services.\"        <br/><br/>        The general <a href=\"http://schema.org/ProfessionalService\">ProfessionalService</a> type        for local businesses was deprecated due to confusion with <a href=\"http://schema.org/Service\">Service</a>.        For reference, the types that it included were: <a href=\"http://schema.org/Dentist\">Dentist</a>,        <a href=\"http://schema.org/AccountingService\">AccountingService</a>,        <a href=\"http://schema.org/Attorney\">Attorney</a>,        <a href=\"http://schema.org/Notary\">Notary</a>, as well as types for several kinds of        <a href=\"http://schema.org/HomeAndConstructionBusiness\">HomeAndConstructionBusiness</a>:        <a href=\"http://schema.org/Electrician\">Electrician</a>,        <a href=\"http://schema.org/GeneralContractor\">GeneralContractor</a>,        <a href=\"http://schema.org/HousePainter\">HousePainter</a>,        <a href=\"http://schema.org/Locksmith\">Locksmith</a>,        <a href=\"http://schema.org/Plumber\">Plumber</a>,        <a href=\"http://schema.org/Plumber\">RoofingContractor</a>.        <a href=\"http://schema.org/LegalService\">LegalService</a> was introduced as a more        inclusive supertype of <a href=\"http://schema.org/Attorney\">Attorney</a>.      
--
--   [@ancestors@] @'Thing','Organization','LocalBusiness','ProfessionalService','Thing','Place','LocalBusiness'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'LocalBusiness'@
--
--   [@url@] <http://schema.org/ProfessionalService>
data ProfessionalService = ProfessionalService { branchCode :: BranchCode
                                               , currenciesAccepted :: CurrenciesAccepted
                                               , openingHours :: OpeningHours
                                               , paymentAccepted :: PaymentAccepted
                                               , priceRange :: PriceRange
                                               , additionalProperty :: AdditionalProperty
                                               , address :: Address
                                               , aggregateRating :: AggregateRating
                                               , branchCode :: BranchCode
                                               , containedInPlace :: ContainedInPlace
                                               , containsPlace :: ContainsPlace
                                               , event :: Event
                                               , faxNumber :: FaxNumber
                                               , geo :: Geo
                                               , globalLocationNumber :: GlobalLocationNumber
                                               , hasMap :: HasMap
                                               , isicV4 :: IsicV4
                                               , logo :: Logo
                                               , openingHoursSpecification :: OpeningHoursSpecification
                                               , photo :: Photo
                                               , review :: Review
                                               , telephone :: Telephone
                                               , address :: Address
                                               , aggregateRating :: AggregateRating
                                               , alumni :: Alumni
                                               , areaServed :: AreaServed
                                               , award :: Award
                                               , brand :: Brand
                                               , contactPoint :: ContactPoint
                                               , department :: Department
                                               , dissolutionDate :: DissolutionDate
                                               , duns :: Duns
                                               , email :: Email
                                               , employee :: Employee
                                               , event :: Event
                                               , faxNumber :: FaxNumber
                                               , founder :: Founder
                                               , foundingDate :: FoundingDate
                                               , foundingLocation :: FoundingLocation
                                               , globalLocationNumber :: GlobalLocationNumber
                                               , hasOfferCatalog :: HasOfferCatalog
                                               , hasPOS :: HasPOS
                                               , isicV4 :: IsicV4
                                               , legalName :: LegalName
                                               , location :: Location
                                               , logo :: Logo
                                               , makesOffer :: MakesOffer
                                               , member :: Member
                                               , memberOf :: MemberOf
                                               , naics :: Naics
                                               , numberOfEmployees :: NumberOfEmployees
                                               , owns :: Owns
                                               , parentOrganization :: ParentOrganization
                                               , review :: Review
                                               , seeks :: Seeks
                                               , subOrganization :: SubOrganization
                                               , taxID :: TaxID
                                               , telephone :: Telephone
                                               , vatID :: VatID
                                               , additionalType :: AdditionalType
                                               , alternateName :: AlternateName
                                               , description :: Description
                                               , image :: Image
                                               , mainEntityOfPage :: MainEntityOfPage
                                               , name :: Name
                                               , potentialAction :: PotentialAction
                                               , sameAs :: SameAs
                                               , url :: Url
                                               }
                           deriving (Show, Read, Eq, Typeable)

instance MetaData ProfessionalService where
  _label         = const "Professional Service"
  _comment_plain = const "Original definition: \"provider of professional services.\"                The general ProfessionalService type        for local businesses was deprecated due to confusion with Service.        For reference, the types that it included were: Dentist,        AccountingService,        Attorney,        Notary, as well as types for several kinds of        HomeAndConstructionBusiness:        Electrician,        GeneralContractor,        HousePainter,        Locksmith,        Plumber,        RoofingContractor.        LegalService was introduced as a more        inclusive supertype of Attorney."
  _comment       = const "Original definition: \"provider of professional services.\"        <br/><br/>        The general <a href=\"http://schema.org/ProfessionalService\">ProfessionalService</a> type        for local businesses was deprecated due to confusion with <a href=\"http://schema.org/Service\">Service</a>.        For reference, the types that it included were: <a href=\"http://schema.org/Dentist\">Dentist</a>,        <a href=\"http://schema.org/AccountingService\">AccountingService</a>,        <a href=\"http://schema.org/Attorney\">Attorney</a>,        <a href=\"http://schema.org/Notary\">Notary</a>, as well as types for several kinds of        <a href=\"http://schema.org/HomeAndConstructionBusiness\">HomeAndConstructionBusiness</a>:        <a href=\"http://schema.org/Electrician\">Electrician</a>,        <a href=\"http://schema.org/GeneralContractor\">GeneralContractor</a>,        <a href=\"http://schema.org/HousePainter\">HousePainter</a>,        <a href=\"http://schema.org/Locksmith\">Locksmith</a>,        <a href=\"http://schema.org/Plumber\">Plumber</a>,        <a href=\"http://schema.org/Plumber\">RoofingContractor</a>.        <a href=\"http://schema.org/LegalService\">LegalService</a> was introduced as a more        inclusive supertype of <a href=\"http://schema.org/Attorney\">Attorney</a>.      "
  _url           = const "http://schema.org/ProfessionalService"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Organization.Organization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ProfessionalService.ProfessionalService)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)]