{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Role where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Data.Typeable

-- | Represents additional information about a relationship or property. For example a Role can be used to say that a 'member' role linking some SportsTeam to a player occurred during a particular time period. Or that a Person's 'actor' role in a Movie was for some particular characterName. Such properties can be attached to a Role entity, which is then associated with the main entities using ordinary properties like 'member' or 'actor'.      <br/><br/>See also <a href=\"http://blog.schema.org/2014/06/introducing-role.html\">blog post</a>.

data Role

instance Show Role
instance Read Role
instance Eq Role
instance Typeable Role
instance MetaData Role