{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.SearchAction where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Action

-- | The act of searching for an object.Related actions:FindAction: SearchAction generally leads to a FindAction, but not necessarily.
--
--   [@id@] SearchAction
--
--   [@label@] Search Action
--
--   [@comment@] The act of searching for an object.<p>Related actions:</p><ul><li><a href=\"http://schema.org/FindAction\">FindAction</a>: SearchAction generally leads to a FindAction, but not necessarily</li></ul>.
--
--   [@ancestors@] @'Thing','Action'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Action'@
--
--   [@url@] <http://schema.org/SearchAction>
data SearchAction = SearchAction { query :: Query
                                 , actionStatus :: ActionStatus
                                 , agent :: Agent
                                 , endTime :: EndTime
                                 , error :: Error
                                 , instrument :: Instrument
                                 , location :: Location
                                 , object :: Object
                                 , participant :: Participant
                                 , result :: Result
                                 , startTime :: StartTime
                                 , target :: Target
                                 , additionalType :: AdditionalType
                                 , alternateName :: AlternateName
                                 , description :: Description
                                 , image :: Image
                                 , mainEntityOfPage :: MainEntityOfPage
                                 , name :: Name
                                 , potentialAction :: PotentialAction
                                 , sameAs :: SameAs
                                 , url :: Url
                                 }
                    deriving (Show, Read, Eq, Typeable)

instance MetaData SearchAction where
  _label         = const "Search Action"
  _comment_plain = const "The act of searching for an object.Related actions:FindAction: SearchAction generally leads to a FindAction, but not necessarily."
  _comment       = const "The act of searching for an object.<p>Related actions:</p><ul><li><a href=\"http://schema.org/FindAction\">FindAction</a>: SearchAction generally leads to a FindAction, but not necessarily</li></ul>."
  _url           = const "http://schema.org/SearchAction"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Action.Action)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Action.Action)]