{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.SingleFamilyResidence where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Residence

-- | Residence type: Single-family home.
--
--   [@id@] SingleFamilyResidence
--
--   [@label@] Single Family Residence
--
--   [@comment@] Residence type: Single-family home.
--
--   [@ancestors@] @'Thing','Place','Residence'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Residence'@
--
--   [@url@] <http://schema.org/SingleFamilyResidence>
data SingleFamilyResidence = SingleFamilyResidence { additionalProperty :: AdditionalProperty
                                                   , address :: Address
                                                   , aggregateRating :: AggregateRating
                                                   , branchCode :: BranchCode
                                                   , containedInPlace :: ContainedInPlace
                                                   , containsPlace :: ContainsPlace
                                                   , event :: Event
                                                   , faxNumber :: FaxNumber
                                                   , geo :: Geo
                                                   , globalLocationNumber :: GlobalLocationNumber
                                                   , hasMap :: HasMap
                                                   , isicV4 :: IsicV4
                                                   , logo :: Logo
                                                   , openingHoursSpecification :: OpeningHoursSpecification
                                                   , photo :: Photo
                                                   , review :: Review
                                                   , telephone :: Telephone
                                                   , additionalType :: AdditionalType
                                                   , alternateName :: AlternateName
                                                   , description :: Description
                                                   , image :: Image
                                                   , mainEntityOfPage :: MainEntityOfPage
                                                   , name :: Name
                                                   , potentialAction :: PotentialAction
                                                   , sameAs :: SameAs
                                                   , url :: Url
                                                   }
                             deriving (Show, Read, Eq, Typeable)

instance MetaData SingleFamilyResidence where
  _label         = const "Single Family Residence"
  _comment_plain = const "Residence type: Single-family home."
  _comment       = const "Residence type: Single-family home."
  _url           = const "http://schema.org/SingleFamilyResidence"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Residence.Residence)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Residence.Residence)]