{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.Store where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Organization
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LocalBusiness
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Store
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.AutoPartsStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.BikeStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.BookStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ClothingStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ComputerStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ConvenienceStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.DepartmentStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ElectronicsStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Florist
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.FurnitureStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.GardenStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.GroceryStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.HardwareStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.HobbyShop
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.HomeGoodsStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.JewelryStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.LiquorStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MensClothingStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MobilePhoneStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MovieRentalStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.MusicStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.OfficeEquipmentStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.OutletStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PawnShop
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.PetStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ShoeStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.SportingGoodsStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.TireShop
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.ToyStore
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.WholesaleStore

-- | A retail good store.
--
--   [@id@] Store
--
--   [@label@] Store
--
--   [@comment@] A retail good store.
--
--   [@ancestors@] @'Thing','Organization','LocalBusiness','Store','Thing','Place','LocalBusiness'@
--
--   [@subtypes@] @'AutoPartsStore','BikeStore','BookStore','ClothingStore','ComputerStore','ConvenienceStore','DepartmentStore','ElectronicsStore','Florist','FurnitureStore','GardenStore','GroceryStore','HardwareStore','HobbyShop','HomeGoodsStore','JewelryStore','LiquorStore','MensClothingStore','MobilePhoneStore','MovieRentalStore','MusicStore','OfficeEquipmentStore','OutletStore','PawnShop','PetStore','ShoeStore','SportingGoodsStore','TireShop','ToyStore','WholesaleStore'@
--
--   [@supertypes@] @'LocalBusiness'@
--
--   [@url@] <http://schema.org/Store>
data Store = Store { branchCode :: BranchCode
                   , branchCode :: BranchCode
                   , currenciesAccepted :: CurrenciesAccepted
                   , openingHours :: OpeningHours
                   , paymentAccepted :: PaymentAccepted
                   , priceRange :: PriceRange
                   , address :: Address
                   , aggregateRating :: AggregateRating
                   , alumni :: Alumni
                   , areaServed :: AreaServed
                   , award :: Award
                   , brand :: Brand
                   , contactPoint :: ContactPoint
                   , department :: Department
                   , dissolutionDate :: DissolutionDate
                   , duns :: Duns
                   , email :: Email
                   , employee :: Employee
                   , event :: Event
                   , faxNumber :: FaxNumber
                   , founder :: Founder
                   , foundingDate :: FoundingDate
                   , foundingLocation :: FoundingLocation
                   , globalLocationNumber :: GlobalLocationNumber
                   , hasOfferCatalog :: HasOfferCatalog
                   , hasPOS :: HasPOS
                   , isicV4 :: IsicV4
                   , legalName :: LegalName
                   , location :: Location
                   , logo :: Logo
                   , makesOffer :: MakesOffer
                   , member :: Member
                   , memberOf :: MemberOf
                   , naics :: Naics
                   , numberOfEmployees :: NumberOfEmployees
                   , owns :: Owns
                   , parentOrganization :: ParentOrganization
                   , review :: Review
                   , seeks :: Seeks
                   , subOrganization :: SubOrganization
                   , taxID :: TaxID
                   , telephone :: Telephone
                   , vatID :: VatID
                   , additionalProperty :: AdditionalProperty
                   , address :: Address
                   , aggregateRating :: AggregateRating
                   , branchCode :: BranchCode
                   , containedInPlace :: ContainedInPlace
                   , containsPlace :: ContainsPlace
                   , event :: Event
                   , faxNumber :: FaxNumber
                   , geo :: Geo
                   , globalLocationNumber :: GlobalLocationNumber
                   , hasMap :: HasMap
                   , isicV4 :: IsicV4
                   , logo :: Logo
                   , openingHoursSpecification :: OpeningHoursSpecification
                   , photo :: Photo
                   , review :: Review
                   , telephone :: Telephone
                   , additionalType :: AdditionalType
                   , alternateName :: AlternateName
                   , description :: Description
                   , image :: Image
                   , mainEntityOfPage :: MainEntityOfPage
                   , name :: Name
                   , potentialAction :: PotentialAction
                   , sameAs :: SameAs
                   , url :: Url
                   }
             deriving (Show, Read, Eq, Typeable)

instance MetaData Store where
  _label         = const "Store"
  _comment_plain = const "A retail good store."
  _comment       = const "A retail good store."
  _url           = const "http://schema.org/Store"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Organization.Organization)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Store.Store)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)]
  _subtypes      = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.AutoPartsStore.AutoPartsStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.BikeStore.BikeStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.BookStore.BookStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ClothingStore.ClothingStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ComputerStore.ComputerStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ConvenienceStore.ConvenienceStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.DepartmentStore.DepartmentStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ElectronicsStore.ElectronicsStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Florist.Florist)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.FurnitureStore.FurnitureStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.GardenStore.GardenStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.GroceryStore.GroceryStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.HardwareStore.HardwareStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.HobbyShop.HobbyShop)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.HomeGoodsStore.HomeGoodsStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.JewelryStore.JewelryStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.LiquorStore.LiquorStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MensClothingStore.MensClothingStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MobilePhoneStore.MobilePhoneStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MovieRentalStore.MovieRentalStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.MusicStore.MusicStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.OfficeEquipmentStore.OfficeEquipmentStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.OutletStore.OutletStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PawnShop.PawnShop)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.PetStore.PetStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ShoeStore.ShoeStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.SportingGoodsStore.SportingGoodsStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.TireShop.TireShop)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.ToyStore.ToyStore)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.WholesaleStore.WholesaleStore)]
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.LocalBusiness.LocalBusiness)]