{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE DeriveDataTypeable #-}
module Text.HTML5.MetaData.Schema.TouristAttraction where

--  Valid: 2016-02-03 (Schema.rdfs.org)

import Text.HTML5.MetaData.Class
import Text.HTML5.MetaData.Type
import Data.Text
import Data.Typeable
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Thing
import {-# SOURCE #-} qualified Text.HTML5.MetaData.Schema.Place

-- | A tourist attraction.
--
--   [@id@] TouristAttraction
--
--   [@label@] Tourist Attraction
--
--   [@comment@] A tourist attraction.
--
--   [@ancestors@] @'Thing','Place'@
--
--   [@subtypes@]
--
--   [@supertypes@] @'Place'@
--
--   [@url@] <http://schema.org/TouristAttraction>
data TouristAttraction = TouristAttraction { additionalProperty :: AdditionalProperty
                                           , address :: Address
                                           , aggregateRating :: AggregateRating
                                           , branchCode :: BranchCode
                                           , containedInPlace :: ContainedInPlace
                                           , containsPlace :: ContainsPlace
                                           , event :: Event
                                           , faxNumber :: FaxNumber
                                           , geo :: Geo
                                           , globalLocationNumber :: GlobalLocationNumber
                                           , hasMap :: HasMap
                                           , isicV4 :: IsicV4
                                           , logo :: Logo
                                           , openingHoursSpecification :: OpeningHoursSpecification
                                           , photo :: Photo
                                           , review :: Review
                                           , telephone :: Telephone
                                           , additionalType :: AdditionalType
                                           , alternateName :: AlternateName
                                           , description :: Description
                                           , image :: Image
                                           , mainEntityOfPage :: MainEntityOfPage
                                           , name :: Name
                                           , potentialAction :: PotentialAction
                                           , sameAs :: SameAs
                                           , url :: Url
                                           }
                         deriving (Show, Read, Eq, Typeable)

instance MetaData TouristAttraction where
  _label         = const "Tourist Attraction"
  _comment_plain = const "A tourist attraction."
  _comment       = const "A tourist attraction."
  _url           = const "http://schema.org/TouristAttraction"
  _ancestors     = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Thing.Thing)
                         ,typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)]
  _subtypes      = const []
  _supertypes    = const [typeOf (undefined :: Text.HTML5.MetaData.Schema.Place.Place)]